Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
44.0.0.0
Broadcast address
47.255.255.255
First usable
44.0.0.1
Last usable
47.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C000000 · Integer 738197504 to 805306367
Reverse DNS zones
44.in-addr.arpa
45.in-addr.arpa
46.in-addr.arpa
47.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.00000000.00000000.0000000044.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00101100.00000000.00000000.0000000044.0.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/18

44.0.0.0/6 makes 4,096 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.0.0.0/1844.0.0.1 to 44.0.63.25444.0.63.25516,382
244.0.64.0/1844.0.64.1 to 44.0.127.25444.0.127.25516,382
344.0.128.0/1844.0.128.1 to 44.0.191.25444.0.191.25516,382
444.0.192.0/1844.0.192.1 to 44.0.255.25444.0.255.25516,382
544.1.0.0/1844.1.0.1 to 44.1.63.25444.1.63.25516,382
644.1.64.0/1844.1.64.1 to 44.1.127.25444.1.127.25516,382
744.1.128.0/1844.1.128.1 to 44.1.191.25444.1.191.25516,382
844.1.192.0/1844.1.192.1 to 44.1.255.25444.1.255.25516,382
944.2.0.0/1844.2.0.1 to 44.2.63.25444.2.63.25516,382
1044.2.64.0/1844.2.64.1 to 44.2.127.25444.2.127.25516,382
1144.2.128.0/1844.2.128.1 to 44.2.191.25444.2.191.25516,382
1244.2.192.0/1844.2.192.1 to 44.2.255.25444.2.255.25516,382
1344.3.0.0/1844.3.0.1 to 44.3.63.25444.3.63.25516,382
1444.3.64.0/1844.3.64.1 to 44.3.127.25444.3.127.25516,382
1544.3.128.0/1844.3.128.1 to 44.3.191.25444.3.191.25516,382
1644.3.192.0/1844.3.192.1 to 44.3.255.25444.3.255.25516,382
1744.4.0.0/1844.4.0.1 to 44.4.63.25444.4.63.25516,382
1844.4.64.0/1844.4.64.1 to 44.4.127.25444.4.127.25516,382
1944.4.128.0/1844.4.128.1 to 44.4.191.25444.4.191.25516,382
2044.4.192.0/1844.4.192.1 to 44.4.255.25444.4.255.25516,382
2144.5.0.0/1844.5.0.1 to 44.5.63.25444.5.63.25516,382
2244.5.64.0/1844.5.64.1 to 44.5.127.25444.5.127.25516,382
2344.5.128.0/1844.5.128.1 to 44.5.191.25444.5.191.25516,382
2444.5.192.0/1844.5.192.1 to 44.5.255.25444.5.255.25516,382
2544.6.0.0/1844.6.0.1 to 44.6.63.25444.6.63.25516,382
2644.6.64.0/1844.6.64.1 to 44.6.127.25444.6.127.25516,382
2744.6.128.0/1844.6.128.1 to 44.6.191.25444.6.191.25516,382
2844.6.192.0/1844.6.192.1 to 44.6.255.25444.6.255.25516,382
2944.7.0.0/1844.7.0.1 to 44.7.63.25444.7.63.25516,382
3044.7.64.0/1844.7.64.1 to 44.7.127.25444.7.127.25516,382
3144.7.128.0/1844.7.128.1 to 44.7.191.25444.7.191.25516,382
3244.7.192.0/1844.7.192.1 to 44.7.255.25444.7.255.25516,382
3344.8.0.0/1844.8.0.1 to 44.8.63.25444.8.63.25516,382
3444.8.64.0/1844.8.64.1 to 44.8.127.25444.8.127.25516,382
3544.8.128.0/1844.8.128.1 to 44.8.191.25444.8.191.25516,382
3644.8.192.0/1844.8.192.1 to 44.8.255.25444.8.255.25516,382
3744.9.0.0/1844.9.0.1 to 44.9.63.25444.9.63.25516,382
3844.9.64.0/1844.9.64.1 to 44.9.127.25444.9.127.25516,382
3944.9.128.0/1844.9.128.1 to 44.9.191.25444.9.191.25516,382
4044.9.192.0/1844.9.192.1 to 44.9.255.25444.9.255.25516,382
4144.10.0.0/1844.10.0.1 to 44.10.63.25444.10.63.25516,382
4244.10.64.0/1844.10.64.1 to 44.10.127.25444.10.127.25516,382
4344.10.128.0/1844.10.128.1 to 44.10.191.25444.10.191.25516,382
4444.10.192.0/1844.10.192.1 to 44.10.255.25444.10.255.25516,382
4544.11.0.0/1844.11.0.1 to 44.11.63.25444.11.63.25516,382
4644.11.64.0/1844.11.64.1 to 44.11.127.25444.11.127.25516,382
4744.11.128.0/1844.11.128.1 to 44.11.191.25444.11.191.25516,382
4844.11.192.0/1844.11.192.1 to 44.11.255.25444.11.255.25516,382
4944.12.0.0/1844.12.0.1 to 44.12.63.25444.12.63.25516,382
5044.12.64.0/1844.12.64.1 to 44.12.127.25444.12.127.25516,382
5144.12.128.0/1844.12.128.1 to 44.12.191.25444.12.191.25516,382
5244.12.192.0/1844.12.192.1 to 44.12.255.25444.12.255.25516,382
5344.13.0.0/1844.13.0.1 to 44.13.63.25444.13.63.25516,382
5444.13.64.0/1844.13.64.1 to 44.13.127.25444.13.127.25516,382
5544.13.128.0/1844.13.128.1 to 44.13.191.25444.13.191.25516,382
5644.13.192.0/1844.13.192.1 to 44.13.255.25444.13.255.25516,382
5744.14.0.0/1844.14.0.1 to 44.14.63.25444.14.63.25516,382
5844.14.64.0/1844.14.64.1 to 44.14.127.25444.14.127.25516,382
5944.14.128.0/1844.14.128.1 to 44.14.191.25444.14.191.25516,382
6044.14.192.0/1844.14.192.1 to 44.14.255.25444.14.255.25516,382
6144.15.0.0/1844.15.0.1 to 44.15.63.25444.15.63.25516,382
6244.15.64.0/1844.15.64.1 to 44.15.127.25444.15.127.25516,382
6344.15.128.0/1844.15.128.1 to 44.15.191.25444.15.191.25516,382
6444.15.192.0/1844.15.192.1 to 44.15.255.25444.15.255.25516,382
6544.16.0.0/1844.16.0.1 to 44.16.63.25444.16.63.25516,382
6644.16.64.0/1844.16.64.1 to 44.16.127.25444.16.127.25516,382
6744.16.128.0/1844.16.128.1 to 44.16.191.25444.16.191.25516,382
6844.16.192.0/1844.16.192.1 to 44.16.255.25444.16.255.25516,382
6944.17.0.0/1844.17.0.1 to 44.17.63.25444.17.63.25516,382
7044.17.64.0/1844.17.64.1 to 44.17.127.25444.17.127.25516,382
7144.17.128.0/1844.17.128.1 to 44.17.191.25444.17.191.25516,382
7244.17.192.0/1844.17.192.1 to 44.17.255.25444.17.255.25516,382
7344.18.0.0/1844.18.0.1 to 44.18.63.25444.18.63.25516,382
7444.18.64.0/1844.18.64.1 to 44.18.127.25444.18.127.25516,382
7544.18.128.0/1844.18.128.1 to 44.18.191.25444.18.191.25516,382
7644.18.192.0/1844.18.192.1 to 44.18.255.25444.18.255.25516,382
7744.19.0.0/1844.19.0.1 to 44.19.63.25444.19.63.25516,382
7844.19.64.0/1844.19.64.1 to 44.19.127.25444.19.127.25516,382
7944.19.128.0/1844.19.128.1 to 44.19.191.25444.19.191.25516,382
8044.19.192.0/1844.19.192.1 to 44.19.255.25444.19.255.25516,382
8144.20.0.0/1844.20.0.1 to 44.20.63.25444.20.63.25516,382
8244.20.64.0/1844.20.64.1 to 44.20.127.25444.20.127.25516,382
8344.20.128.0/1844.20.128.1 to 44.20.191.25444.20.191.25516,382
8444.20.192.0/1844.20.192.1 to 44.20.255.25444.20.255.25516,382
8544.21.0.0/1844.21.0.1 to 44.21.63.25444.21.63.25516,382
8644.21.64.0/1844.21.64.1 to 44.21.127.25444.21.127.25516,382
8744.21.128.0/1844.21.128.1 to 44.21.191.25444.21.191.25516,382
8844.21.192.0/1844.21.192.1 to 44.21.255.25444.21.255.25516,382
8944.22.0.0/1844.22.0.1 to 44.22.63.25444.22.63.25516,382
9044.22.64.0/1844.22.64.1 to 44.22.127.25444.22.127.25516,382
9144.22.128.0/1844.22.128.1 to 44.22.191.25444.22.191.25516,382
9244.22.192.0/1844.22.192.1 to 44.22.255.25444.22.255.25516,382
9344.23.0.0/1844.23.0.1 to 44.23.63.25444.23.63.25516,382
9444.23.64.0/1844.23.64.1 to 44.23.127.25444.23.127.25516,382
9544.23.128.0/1844.23.128.1 to 44.23.191.25444.23.191.25516,382
9644.23.192.0/1844.23.192.1 to 44.23.255.25444.23.255.25516,382
9744.24.0.0/1844.24.0.1 to 44.24.63.25444.24.63.25516,382
9844.24.64.0/1844.24.64.1 to 44.24.127.25444.24.127.25516,382
9944.24.128.0/1844.24.128.1 to 44.24.191.25444.24.191.25516,382
10044.24.192.0/1844.24.192.1 to 44.24.255.25444.24.255.25516,382
10144.25.0.0/1844.25.0.1 to 44.25.63.25444.25.63.25516,382
10244.25.64.0/1844.25.64.1 to 44.25.127.25444.25.127.25516,382
10344.25.128.0/1844.25.128.1 to 44.25.191.25444.25.191.25516,382
10444.25.192.0/1844.25.192.1 to 44.25.255.25444.25.255.25516,382
10544.26.0.0/1844.26.0.1 to 44.26.63.25444.26.63.25516,382
10644.26.64.0/1844.26.64.1 to 44.26.127.25444.26.127.25516,382
10744.26.128.0/1844.26.128.1 to 44.26.191.25444.26.191.25516,382
10844.26.192.0/1844.26.192.1 to 44.26.255.25444.26.255.25516,382
10944.27.0.0/1844.27.0.1 to 44.27.63.25444.27.63.25516,382
11044.27.64.0/1844.27.64.1 to 44.27.127.25444.27.127.25516,382
11144.27.128.0/1844.27.128.1 to 44.27.191.25444.27.191.25516,382
11244.27.192.0/1844.27.192.1 to 44.27.255.25444.27.255.25516,382
11344.28.0.0/1844.28.0.1 to 44.28.63.25444.28.63.25516,382
11444.28.64.0/1844.28.64.1 to 44.28.127.25444.28.127.25516,382
11544.28.128.0/1844.28.128.1 to 44.28.191.25444.28.191.25516,382
11644.28.192.0/1844.28.192.1 to 44.28.255.25444.28.255.25516,382
11744.29.0.0/1844.29.0.1 to 44.29.63.25444.29.63.25516,382
11844.29.64.0/1844.29.64.1 to 44.29.127.25444.29.127.25516,382
11944.29.128.0/1844.29.128.1 to 44.29.191.25444.29.191.25516,382
12044.29.192.0/1844.29.192.1 to 44.29.255.25444.29.255.25516,382
12144.30.0.0/1844.30.0.1 to 44.30.63.25444.30.63.25516,382
12244.30.64.0/1844.30.64.1 to 44.30.127.25444.30.127.25516,382
12344.30.128.0/1844.30.128.1 to 44.30.191.25444.30.191.25516,382
12444.30.192.0/1844.30.192.1 to 44.30.255.25444.30.255.25516,382
12544.31.0.0/1844.31.0.1 to 44.31.63.25444.31.63.25516,382
12644.31.64.0/1844.31.64.1 to 44.31.127.25444.31.127.25516,382
12744.31.128.0/1844.31.128.1 to 44.31.191.25444.31.191.25516,382
12844.31.192.0/1844.31.192.1 to 44.31.255.25444.31.255.25516,382
12944.32.0.0/1844.32.0.1 to 44.32.63.25444.32.63.25516,382
13044.32.64.0/1844.32.64.1 to 44.32.127.25444.32.127.25516,382
13144.32.128.0/1844.32.128.1 to 44.32.191.25444.32.191.25516,382
13244.32.192.0/1844.32.192.1 to 44.32.255.25444.32.255.25516,382
13344.33.0.0/1844.33.0.1 to 44.33.63.25444.33.63.25516,382
13444.33.64.0/1844.33.64.1 to 44.33.127.25444.33.127.25516,382
13544.33.128.0/1844.33.128.1 to 44.33.191.25444.33.191.25516,382
13644.33.192.0/1844.33.192.1 to 44.33.255.25444.33.255.25516,382
13744.34.0.0/1844.34.0.1 to 44.34.63.25444.34.63.25516,382
13844.34.64.0/1844.34.64.1 to 44.34.127.25444.34.127.25516,382
13944.34.128.0/1844.34.128.1 to 44.34.191.25444.34.191.25516,382
14044.34.192.0/1844.34.192.1 to 44.34.255.25444.34.255.25516,382
14144.35.0.0/1844.35.0.1 to 44.35.63.25444.35.63.25516,382
14244.35.64.0/1844.35.64.1 to 44.35.127.25444.35.127.25516,382
14344.35.128.0/1844.35.128.1 to 44.35.191.25444.35.191.25516,382
14444.35.192.0/1844.35.192.1 to 44.35.255.25444.35.255.25516,382
14544.36.0.0/1844.36.0.1 to 44.36.63.25444.36.63.25516,382
14644.36.64.0/1844.36.64.1 to 44.36.127.25444.36.127.25516,382
14744.36.128.0/1844.36.128.1 to 44.36.191.25444.36.191.25516,382
14844.36.192.0/1844.36.192.1 to 44.36.255.25444.36.255.25516,382
14944.37.0.0/1844.37.0.1 to 44.37.63.25444.37.63.25516,382
15044.37.64.0/1844.37.64.1 to 44.37.127.25444.37.127.25516,382
15144.37.128.0/1844.37.128.1 to 44.37.191.25444.37.191.25516,382
15244.37.192.0/1844.37.192.1 to 44.37.255.25444.37.255.25516,382
15344.38.0.0/1844.38.0.1 to 44.38.63.25444.38.63.25516,382
15444.38.64.0/1844.38.64.1 to 44.38.127.25444.38.127.25516,382
15544.38.128.0/1844.38.128.1 to 44.38.191.25444.38.191.25516,382
15644.38.192.0/1844.38.192.1 to 44.38.255.25444.38.255.25516,382
15744.39.0.0/1844.39.0.1 to 44.39.63.25444.39.63.25516,382
15844.39.64.0/1844.39.64.1 to 44.39.127.25444.39.127.25516,382
15944.39.128.0/1844.39.128.1 to 44.39.191.25444.39.191.25516,382
16044.39.192.0/1844.39.192.1 to 44.39.255.25444.39.255.25516,382
16144.40.0.0/1844.40.0.1 to 44.40.63.25444.40.63.25516,382
16244.40.64.0/1844.40.64.1 to 44.40.127.25444.40.127.25516,382
16344.40.128.0/1844.40.128.1 to 44.40.191.25444.40.191.25516,382
16444.40.192.0/1844.40.192.1 to 44.40.255.25444.40.255.25516,382
16544.41.0.0/1844.41.0.1 to 44.41.63.25444.41.63.25516,382
16644.41.64.0/1844.41.64.1 to 44.41.127.25444.41.127.25516,382
16744.41.128.0/1844.41.128.1 to 44.41.191.25444.41.191.25516,382
16844.41.192.0/1844.41.192.1 to 44.41.255.25444.41.255.25516,382
16944.42.0.0/1844.42.0.1 to 44.42.63.25444.42.63.25516,382
17044.42.64.0/1844.42.64.1 to 44.42.127.25444.42.127.25516,382
17144.42.128.0/1844.42.128.1 to 44.42.191.25444.42.191.25516,382
17244.42.192.0/1844.42.192.1 to 44.42.255.25444.42.255.25516,382
17344.43.0.0/1844.43.0.1 to 44.43.63.25444.43.63.25516,382
17444.43.64.0/1844.43.64.1 to 44.43.127.25444.43.127.25516,382
17544.43.128.0/1844.43.128.1 to 44.43.191.25444.43.191.25516,382
17644.43.192.0/1844.43.192.1 to 44.43.255.25444.43.255.25516,382
17744.44.0.0/1844.44.0.1 to 44.44.63.25444.44.63.25516,382
17844.44.64.0/1844.44.64.1 to 44.44.127.25444.44.127.25516,382
17944.44.128.0/1844.44.128.1 to 44.44.191.25444.44.191.25516,382
18044.44.192.0/1844.44.192.1 to 44.44.255.25444.44.255.25516,382
18144.45.0.0/1844.45.0.1 to 44.45.63.25444.45.63.25516,382
18244.45.64.0/1844.45.64.1 to 44.45.127.25444.45.127.25516,382
18344.45.128.0/1844.45.128.1 to 44.45.191.25444.45.191.25516,382
18444.45.192.0/1844.45.192.1 to 44.45.255.25444.45.255.25516,382
18544.46.0.0/1844.46.0.1 to 44.46.63.25444.46.63.25516,382
18644.46.64.0/1844.46.64.1 to 44.46.127.25444.46.127.25516,382
18744.46.128.0/1844.46.128.1 to 44.46.191.25444.46.191.25516,382
18844.46.192.0/1844.46.192.1 to 44.46.255.25444.46.255.25516,382
18944.47.0.0/1844.47.0.1 to 44.47.63.25444.47.63.25516,382
19044.47.64.0/1844.47.64.1 to 44.47.127.25444.47.127.25516,382
19144.47.128.0/1844.47.128.1 to 44.47.191.25444.47.191.25516,382
19244.47.192.0/1844.47.192.1 to 44.47.255.25444.47.255.25516,382
19344.48.0.0/1844.48.0.1 to 44.48.63.25444.48.63.25516,382
19444.48.64.0/1844.48.64.1 to 44.48.127.25444.48.127.25516,382
19544.48.128.0/1844.48.128.1 to 44.48.191.25444.48.191.25516,382
19644.48.192.0/1844.48.192.1 to 44.48.255.25444.48.255.25516,382
19744.49.0.0/1844.49.0.1 to 44.49.63.25444.49.63.25516,382
19844.49.64.0/1844.49.64.1 to 44.49.127.25444.49.127.25516,382
19944.49.128.0/1844.49.128.1 to 44.49.191.25444.49.191.25516,382
20044.49.192.0/1844.49.192.1 to 44.49.255.25444.49.255.25516,382
20144.50.0.0/1844.50.0.1 to 44.50.63.25444.50.63.25516,382
20244.50.64.0/1844.50.64.1 to 44.50.127.25444.50.127.25516,382
20344.50.128.0/1844.50.128.1 to 44.50.191.25444.50.191.25516,382
20444.50.192.0/1844.50.192.1 to 44.50.255.25444.50.255.25516,382
20544.51.0.0/1844.51.0.1 to 44.51.63.25444.51.63.25516,382
20644.51.64.0/1844.51.64.1 to 44.51.127.25444.51.127.25516,382
20744.51.128.0/1844.51.128.1 to 44.51.191.25444.51.191.25516,382
20844.51.192.0/1844.51.192.1 to 44.51.255.25444.51.255.25516,382
20944.52.0.0/1844.52.0.1 to 44.52.63.25444.52.63.25516,382
21044.52.64.0/1844.52.64.1 to 44.52.127.25444.52.127.25516,382
21144.52.128.0/1844.52.128.1 to 44.52.191.25444.52.191.25516,382
21244.52.192.0/1844.52.192.1 to 44.52.255.25444.52.255.25516,382
21344.53.0.0/1844.53.0.1 to 44.53.63.25444.53.63.25516,382
21444.53.64.0/1844.53.64.1 to 44.53.127.25444.53.127.25516,382
21544.53.128.0/1844.53.128.1 to 44.53.191.25444.53.191.25516,382
21644.53.192.0/1844.53.192.1 to 44.53.255.25444.53.255.25516,382
21744.54.0.0/1844.54.0.1 to 44.54.63.25444.54.63.25516,382
21844.54.64.0/1844.54.64.1 to 44.54.127.25444.54.127.25516,382
21944.54.128.0/1844.54.128.1 to 44.54.191.25444.54.191.25516,382
22044.54.192.0/1844.54.192.1 to 44.54.255.25444.54.255.25516,382
22144.55.0.0/1844.55.0.1 to 44.55.63.25444.55.63.25516,382
22244.55.64.0/1844.55.64.1 to 44.55.127.25444.55.127.25516,382
22344.55.128.0/1844.55.128.1 to 44.55.191.25444.55.191.25516,382
22444.55.192.0/1844.55.192.1 to 44.55.255.25444.55.255.25516,382
22544.56.0.0/1844.56.0.1 to 44.56.63.25444.56.63.25516,382
22644.56.64.0/1844.56.64.1 to 44.56.127.25444.56.127.25516,382
22744.56.128.0/1844.56.128.1 to 44.56.191.25444.56.191.25516,382
22844.56.192.0/1844.56.192.1 to 44.56.255.25444.56.255.25516,382
22944.57.0.0/1844.57.0.1 to 44.57.63.25444.57.63.25516,382
23044.57.64.0/1844.57.64.1 to 44.57.127.25444.57.127.25516,382
23144.57.128.0/1844.57.128.1 to 44.57.191.25444.57.191.25516,382
23244.57.192.0/1844.57.192.1 to 44.57.255.25444.57.255.25516,382
23344.58.0.0/1844.58.0.1 to 44.58.63.25444.58.63.25516,382
23444.58.64.0/1844.58.64.1 to 44.58.127.25444.58.127.25516,382
23544.58.128.0/1844.58.128.1 to 44.58.191.25444.58.191.25516,382
23644.58.192.0/1844.58.192.1 to 44.58.255.25444.58.255.25516,382
23744.59.0.0/1844.59.0.1 to 44.59.63.25444.59.63.25516,382
23844.59.64.0/1844.59.64.1 to 44.59.127.25444.59.127.25516,382
23944.59.128.0/1844.59.128.1 to 44.59.191.25444.59.191.25516,382
24044.59.192.0/1844.59.192.1 to 44.59.255.25444.59.255.25516,382
24144.60.0.0/1844.60.0.1 to 44.60.63.25444.60.63.25516,382
24244.60.64.0/1844.60.64.1 to 44.60.127.25444.60.127.25516,382
24344.60.128.0/1844.60.128.1 to 44.60.191.25444.60.191.25516,382
24444.60.192.0/1844.60.192.1 to 44.60.255.25444.60.255.25516,382
24544.61.0.0/1844.61.0.1 to 44.61.63.25444.61.63.25516,382
24644.61.64.0/1844.61.64.1 to 44.61.127.25444.61.127.25516,382
24744.61.128.0/1844.61.128.1 to 44.61.191.25444.61.191.25516,382
24844.61.192.0/1844.61.192.1 to 44.61.255.25444.61.255.25516,382
24944.62.0.0/1844.62.0.1 to 44.62.63.25444.62.63.25516,382
25044.62.64.0/1844.62.64.1 to 44.62.127.25444.62.127.25516,382
25144.62.128.0/1844.62.128.1 to 44.62.191.25444.62.191.25516,382
25244.62.192.0/1844.62.192.1 to 44.62.255.25444.62.255.25516,382
25344.63.0.0/1844.63.0.1 to 44.63.63.25444.63.63.25516,382
25444.63.64.0/1844.63.64.1 to 44.63.127.25444.63.127.25516,382
25544.63.128.0/1844.63.128.1 to 44.63.191.25444.63.191.25516,382
25644.63.192.0/1844.63.192.1 to 44.63.255.25444.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses